Skip to main content
GET
Get Campaign Daily Video Report

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de ruta

campaign_id
string<uuid>
requerido

The ID of the campaign.

Parámetros de consulta

limit
integer
predeterminado:100

The pagination limit.

Rango requerido: 0 <= x <= 100
next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

start_date
string<date>
requerido

The start date for which reports will be generated.

end_date
string<date>
requerido

The end date for which reports will be generated.

purchase_count_by_product
boolean
predeterminado:false

Whether to include the purchase count by product inside purchases. Defaults to False.

Respuesta

Successful Response

Response for a video campaign's daily aggregation reports.

hasMore
boolean
requerido

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

reports
DailyVideoReportData · object[]
requerido

A list with report data aggregated by day.

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Ejemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="